#!/bin/bash

set -x

export SIP=sip-3.9
#export SIP=sip-4.0rc1
rm -rf $SIP
tar xvfz /usr/src/BLFS/$SIP.tar.gz
patch -p0 -b -z .pre <$SIP-pre.patch
cd $SIP

python configure.py
patch -p1 -b -z .post <../$SIP-post.patch
make CC='ccache gcc' CXX='ccache g++'
make install

set +x
